#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "graphe_adj_type.h"
#include "graphe_poids_type.h"
#include "graphe_liste_type.h"
#include "util_adj.h"
#include "util_poids.h"
#include "graphe.h"

GRAPHE fermeture_transitive(GRAPHE g)
{
  GRAPHE g1;
  /* TODO */
  return(g1);
}

/* calcul du plus court chemin avec l'algorithme de 
   dijkstra, à partir du somme numéro 'source' (sommets 
   numéroté à partir de 1. Le résultat est un tableau, 
   alloué par la fonction, qui contient tous les plus courts
   chemins avec 'source' */
int *dijkstra(GRAPHE_POIDS g,int source)
{
  return 0;
}
